import 'package:equatable/equatable.dart';
import 'package:meta/meta.dart';

class Advertisement extends Equatable {
  final String id;
  final String title;
  final String type;
  final String image;
  final bool active;

  Advertisement({
    @required this.id,
    this.title,
    @required this.type,
    @required this.image,
    this.active
  });

  @override
  List<Object> get props => [id, title, type, image, active];
}