import 'package:equatable/equatable.dart';
import 'package:meta/meta.dart';
import 'package:vegigo2_ui_common/entities/store/time_interval.dart';

class DeliveryOption extends Equatable {
  final int id;
  final DeliveryOptionType type;
  final TimeInterval timeSlot;
  final Duration duration;

  DeliveryOption({@required this.id, this.type, this.timeSlot, this.duration});

  @override
  List<Object> get props => [id, type, timeSlot, duration];
}

enum DeliveryOptionType {
  FIXED_DURATION,
  TIME_SLOT
}