import 'package:equatable/equatable.dart';
import 'package:geolocator/geolocator.dart';
import 'package:meta/meta.dart';

class Location extends Equatable {
  final double latitude;
  final double longitude;

  Location({@required this.latitude, @required this.longitude});

  Position get position => new Position(latitude: latitude, longitude: longitude);

  @override
  List<Object> get props => [latitude, longitude];
}
