import 'package:intl/intl.dart';

class StringUtil {
  static bool isFalsy(String str) {
    if(str == null || str.isEmpty || str == 'null')
      return true;
    return false;
  }

  static String dateTime(String formattedTimestamp) {
    DateFormat formatter =  new DateFormat('d MMMM y,').add_jm();
    return formatter.format(DateTime.parse(formattedTimestamp));
  }

  static String date(String formattedTimestamp) {
    DateFormat formatter =  new DateFormat('d MMMM y');
    return formatter.format(DateTime.parse(formattedTimestamp));
  }

  static String time(String formattedTimestamp) {
    DateFormat formatter =  new DateFormat.jm();
    return formatter.format(DateTime.parse(formattedTimestamp));
  }
}