import 'package:equatable/equatable.dart';

abstract class Failure extends Equatable {
  @override
  List<Object> get props => <Object>[];
}

// General failures
class ServerFailure extends Failure {}

class CacheFailure extends Failure {}

class AuthenticationFailure extends Failure {}
class TokenExpiredFailure extends Failure {}
class TokenNotFoundFailure extends Failure {}

class NoSelectedStoreFoundFailure extends Failure {}

class CartNotFoundFailure extends Failure {}

class EmailVerificationFailure extends Failure {}